Next: Toplevel Options, Up: Command Line Options

#### 3.3.1 Runtime Options

`--core` corefilename
  Run the specified Lisp core file instead of the default. Note that if the Lisp core file is a user-created core file, it may run a nonstandard toplevel which does not recognize the standard toplevel options.
`--dynamic-space-size` megabytes
  Size of the dynamic space reserved on startup in megabytes. Default value is platform dependent.
`--control-stack-size` megabytes
  Size of control stack reserved for each thread in megabytes. Default value is 2.
`--noinform`
  Suppress the printing of any banner or other informational message at startup. This makes it easier to write Lisp programs which work cleanly in Unix pipelines. See also the `--noprint` and `--disable-debugger` options.
`--disable-ldb`
  Disable the low-level debugger. Only effective if SBCL is compiled with LDB.
`--lose-on-corruption`
  There are some dangerous low level errors (for instance, control stack exhausted, memory fault) that (or whose handlers) can corrupt the image. By default SBCL prints a warning, then tries to continue and handle the error in Lisp, but this will not always work and SBCL may malfunction or even hang. With this option, upon encountering such an error SBCL will invoke ldb (if present and enabled) or else exit.
`--script` filename
  As a runtime option this is equivalent to `--noinform` `--disable-ldb` `--lose-on-corruption` `--end-runtime-options` `--script` filename. See the description of `--script` as a toplevel option below.
`--help`
  Print some basic information about SBCL, then exit.
`--version`
  Print SBCL's version information, then exit.

In the future, runtime options may be added to control behaviour such as lazy allocation of memory.

Runtime options, including any –end-runtime-options option, are stripped out of the command line before the Lisp toplevel logic gets a chance to see it.